Skip to content

Performs the authorized outcome get operation.

GET
/api/workspace/workflow/configuration/workflow-definitions/{definitionId}/outcomes/{outcomeId}
curl --request GET \
--url https://example.com/api/workspace/workflow/configuration/workflow-definitions/example/outcomes/example \
--header 'Authorization: Bearer <token>'
definitionId
required
string
outcomeId
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data
object
WorkflowOutcomeId
string
nullable
WorkflowDefinitionId
string
nullable
Key
string
nullable
DisplayName
string
nullable
Description
string
nullable
MetaType
integer format: int32
Allowed values: 0 1 2
SortOrder
integer format: int32
IsDefault
boolean
CreatedAtUtc
string format: date-time
ModifiedAtUtc
string format: date-time
nullable
CreatedByUserId
string
nullable
ModifiedByUserId
string
nullable
RowVersion
string format: uuid
DefinitionRowVersion
string format: uuid
Actions
object
CanUpdate
boolean
CanEditKey
boolean
CanEditMetaType
boolean
CanDelete
boolean
IsEnabled
boolean
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"MetaType": 0
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}